Subject: Implement a FLOW3 optimized var_dump function
Description

Because FLOW3 uses many nested objects, debugging variables can become cumbersome because almost always the object
manager is included which in turn has references to most other objects resulting in an endless recursion.

We need an optimize var_dump function which takes this into account.

Associated revisions
Revision f86485e4 - 2010-03-19 17:12 - Robert Lemke

[+FEATURE] FLOW3 (Error): Implemented a FLOW3 optimized var_dump() method - just call it with \F3\var_dump(). Some features are still missing
though ... Relates to #6913

Revision 3b328ac0 - 2010-03-19 19:05 - Robert Lemke

[+FEATURE] FLOW3 (Error): Some improvements for the new var_dump method. Relates to #6913

Revision f1cf167f - 2010-04-15 19:14 - Karsten Dambekalns

[~TASK] FLOW3 (Error): Some improvements to CSS/HTML in Debugger, resolves #6913.

Revision 9d089cbb - 2010-04-15 19:36 - Karsten Dambekalns

[~TASK] FLOW3 (Error): Some tiny fixes to Debugger.css, relates to #6913.

History
#1 - 2010-03-19 17:10 - Robert Lemke
- % Done changed from 0 to 90
- Estimated time changed from 2.00 to 7.00

#2 - 2010-03-20 14:52 - Michael Sauter
- File improve_debugger_css.patch added

Nice feature!

I know this is not finished, but after checking out the current version I think the current CSS can be improved a lot. I created a quick patch which does
the following:
- fix some line-height problems (occured on mac/ff3.6)
- window is positioned absolutely (floating / relative positoning produced weird results for me)
- uses border-radius/box-shadow to get rid of all images except the linesBackground (I think this is a good place to use CSS3, as the shadow and the
rounded corners are not absolutely necessary ;))
- simplifies html structure

Anyway, these are just some suggestions ... pick what you want from them :)

Edit: Ah guess absolute positioning is not the best solution cause that would only allow one var_dump per page ...

#3 - 2010-04-15 18:31 - Karsten Dambekalns
- Assigned To changed from Robert Lemke to Karsten Dambekalns

#4 - 2010-04-15 20:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 90 to 100

Applied in changeset r4160.

Files
improve_debugger_css.patch 17 kB 2010-03-20 Michael Sauter
